import { IAuthManager, Roles, TAutorizeOptions } from '../types';
import { default as Schema } from './schema';

/**
 * The `AuthManager` class
 */
declare class AuthManager<T extends Roles<T>> implements IAuthManager<T> {
    schema: Schema<T>;
    constructor(schema: Schema<T>);
    private _verifyPermissionsLoose;
    private _verifyPermissionsStrict;
    private _getRole;
    private _construct;
    authorize(options: TAutorizeOptions<T>): boolean;
}
export default AuthManager;
